Subject: Re: [RFC/PATCH] git-merge: implement --ff-only-merge option.

From: Sergey Organov <[email-masked]>
Date: Wed, 08 Oct 2014 00:42:25 +0400

Junio C Hamano <[email-masked]> writes:

> Sergey Organov <[email-masked]> writes:
>
>>> Why would it be useful to limit the history to a shape where all
>>> merges are the ones that could have been fast-forwarded?
>>
>> Except by true merge, how else can I express with git that 'n'
>> consequitive commits constitute single logical change (being originally
>> some topic branch)?
>
> You are justifying --no-ff, aren't you?

Yes, and I already said it's close. But I don't want such merge commit
to contain any non-trivialities. Currently I check it manually before
issuing "merge --no-ff" and was hoping for some automation.

>
>> Moreover, as topic branches are usually rebased before merge anyway,
>> why shouldn't I have simple capability to enforce it?
>
> Because rebasing immediately before is considered a bad manner,
> i.e. encouraging a wrong workflow?

Why? What is wrong about it?

Please also notice that I don't try to impose this on anybody who does
consider it wrong workflow.

-- 
Sergey.